summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2010-05-11 22:54:09 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:09 +0200
commit3f194ad31de9b797c846c6454c8c5d270df98f17 (patch)
treed5d0a57546d335b5a981075dd364a47412fed9cb /libraries
parentc089bfdab008c0441137407bb606982380677b60 (diff)
downloadslackbuilds-3f194ad31de9b797c846c6454c8c5d270df98f17.tar.gz
slackbuilds-3f194ad31de9b797c846c6454c8c5d270df98f17.tar.xz
libraries/libmp3splt: Added to 12.1 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libmp3splt/README14
-rw-r--r--libraries/libmp3splt/libmp3splt.SlackBuild64
-rw-r--r--libraries/libmp3splt/libmp3splt.info8
-rw-r--r--libraries/libmp3splt/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/libmp3splt/README b/libraries/libmp3splt/README
new file mode 100644
index 0000000000..c346bfe81b
--- /dev/null
+++ b/libraries/libmp3splt/README
@@ -0,0 +1,14 @@
+Mp3Splt-project is a utility to split mp3 and ogg files selecting a begin and an
+end time position, without decoding. It's very useful to split large mp3/ogg to
+make smaller files or to split entire albums to obtain original tracks. If you
+want to split an album, you can select split points and filenames manually or
+you can get them automatically from CDDB (internet or a local file) or from .cue
+files. Supports also automatic silence split, that can be used also to adjust
+cddb/cue splitpoints. You can extract tracks from Mp3Wrap or AlbumWrap files in
+few seconds.
+
+Mp3splt-project is divided in 3 parts:
+ - libmp3splt, a library (created from mp3splt version 2.1c)
+ - mp3splt, a command line program
+ - mp3splt-gtk, a gtk2 gui
+all available from SlackBuilds.org
diff --git a/libraries/libmp3splt/libmp3splt.SlackBuild b/libraries/libmp3splt/libmp3splt.SlackBuild
new file mode 100644
index 0000000000..8d69e444e1
--- /dev/null
+++ b/libraries/libmp3splt/libmp3splt.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for libmp3splt
+
+# Written by Roberto Neri <rneri@libero.it>
+
+PRGNAM=libmp3splt
+VERSION=${VERSION:-0.5.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL LIMITS NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libmp3splt/libmp3splt.info b/libraries/libmp3splt/libmp3splt.info
new file mode 100644
index 0000000000..bb2774cb5c
--- /dev/null
+++ b/libraries/libmp3splt/libmp3splt.info
@@ -0,0 +1,8 @@
+PRGNAM="libmp3splt"
+VERSION="0.5.2"
+HOMEPAGE="http://mp3splt.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/mp3splt/libmp3splt-0.5.2.tar.gz"
+MD5SUM="03b3ee3e6c6d583cc9c66c3981860bcd"
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="David Somero"
diff --git a/libraries/libmp3splt/slack-desc b/libraries/libmp3splt/slack-desc
new file mode 100644
index 0000000000..bfaad2398e
--- /dev/null
+++ b/libraries/libmp3splt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libmp3splt: libmp3splt (library from the mp3splt project)
+libmp3splt:
+libmp3splt: mp3splt is a free utility to split mp3/ogg files (without decoding),
+libmp3splt: selecting begin/end time; if file is an album, you can get splitpoints
+libmp3splt: automatically from internet or a local cue/cddb file.
+libmp3splt: It splits also Mp3Wrap and AlbumWrap archives.
+libmp3splt: The mp3splt project is divided in 3 parts:
+libmp3splt: - libmp3splt, a library (created from mp3splt version 2.1c)
+libmp3splt: - mp3splt, a command line program
+libmp3splt: - mp3splt-gtk, a GTK2 gui
+libmp3splt: Homepage: http://mp3splt.sourceforge.net/